package com.aucma.base.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 物料信息对象 base_materialinfo
 *
 * @author Yinq
 * @date 2023-09-19
 */
public class BaseMaterialInfo extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键标识 */
    private Long objId;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String materialCode;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String materialName;

    /** 物料大类 */
    @Excel(name = "物料大类")
    private String materialCategories;

    /** 物料小类 */
    @Excel(name = "物料小类")
    private String materialSubclass;

    /** 物料类型 */
    @Excel(name = "物料类型")
    private String materialType;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String materialUnit;

    /** MATKL */
    @Excel(name = "MATKL")
    private String materialMatkl;

    /** 物料型号 */
    @Excel(name = "物料型号")
    private String materialSpecifications;

    /** 所属工厂编号 */
    @Excel(name = "所属工厂编号")
    private String plantCode;

    /**
     * 所属工厂名称
     */
    @Excel(name = "所属工厂名称")
    private String plantName;

    /** 产线工位编号 */
    @Excel(name = "产线工位编号")
    private String productLineCode;

    /** 产线工位名称 */
    @Excel(name = "产线工位名称")
    private String productLineName;

    /** 启用标识 */
    @Excel(name = "启用标识")
    private Long isFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    /**
     * 增量日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "增量日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date incrementDate;

    /** SAP计划员（100=成品;200=箱体;300=门体） */
    @Excel(name = "SAP计划员")
    private String DISPO;

    /** 商品编码 */
    @Excel(name = "商品编码")
    private String productCode;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String productName;

    /** 查询关键字（非持久化） */
    private String keyword;

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getDISPO() {
        return DISPO;
    }

    public void setDISPO(String DISPO) {
        this.DISPO = DISPO;
    }

    public Date getIncrementDate() {
        return incrementDate;
    }

    public void setIncrementDate(Date incrementDate) {
        this.incrementDate = incrementDate;
    }

    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialCategories() {
        return materialCategories;
    }

    public void setMaterialCategories(String materialCategories) {
        this.materialCategories = materialCategories;
    }

    public String getMaterialSubclass() {
        return materialSubclass;
    }

    public void setMaterialSubclass(String materialSubclass) {
        this.materialSubclass = materialSubclass;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getMaterialUnit() {
        return materialUnit;
    }

    public void setMaterialUnit(String materialUnit) {
        this.materialUnit = materialUnit;
    }

    public String getMaterialMatkl() {
        return materialMatkl;
    }

    public void setMaterialMatkl(String materialMatkl) {
        this.materialMatkl = materialMatkl;
    }

    public String getMaterialSpecifications() {
        return materialSpecifications;
    }

    public void setMaterialSpecifications(String materialSpecifications) {
        this.materialSpecifications = materialSpecifications;
    }

    public String getPlantCode() {
        return plantCode;
    }

    public void setPlantCode(String plantCode) {
        this.plantCode = plantCode;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    @Override
    public String toString() {
        return "BaseMaterialInfo{" +
                "objId=" + objId +
                ", materialCode='" + materialCode + '\'' +
                ", materialName='" + materialName + '\'' +
                ", materialCategories='" + materialCategories + '\'' +
                ", materialSubclass='" + materialSubclass + '\'' +
                ", materialType='" + materialType + '\'' +
                ", materialUnit='" + materialUnit + '\'' +
                ", materialMatkl='" + materialMatkl + '\'' +
                ", materialSpecifications=" + materialSpecifications +
                ", plantCode='" + plantCode + '\'' +
                ", plantName='" + plantName + '\'' +
                ", productLineCode='" + productLineCode + '\'' +
                ", productLineName='" + productLineName + '\'' +
                ", isFlag=" + isFlag +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", updatedTime=" + updatedTime +
                '}';
    }
}
